English
Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

There was/is a similar problem with google-earth - another 3rd party rpm http://forums.fedoraforum.org/showthread.php?p=1650497#post1650497 .

One solution is to use the rpmrebuild command and edit the rpm: - Install rpmrebuild, then edit the rpm:

rpmrebuild -pe tunesviewer-1.4-2.noarch.rpm

this should open the spec file in vi. If you want to use any other text editor run e.g. 'export EDITOR=/usr/bin/kwrite', before running the rpmrebuild command.

  • In the '%files' section remove these lines:

    %dir %attr(0755, root, root) "/" %dir %attr(0755, root, root) "/usr" %dir %attr(0755, root, root) "/usr/bin" %dir %attr(0755, root, root) "/usr/share" %dir %attr(0755, root, root) "/usr/share/applications" %dir %attr(0755, root, root) "/usr/share/doc" %dir %attr(0755, root, root) "/usr/share/icons" %dir %attr(0755, root, root) "/usr/share/icons/hicolor" %dir %attr(0755, root, root) "/usr/share/icons/hicolor/scalable" %dir %attr(0755, root, root) "/usr/share/icons/hicolor/scalable/apps"

save and close the editor, and follow the prompts in the terminal.

That should make the rpm installable.

There was/is a similar problem with google-earth - another 3rd party rpm http://forums.fedoraforum.org/showthread.php?p=1650497#post1650497 .

One solution is to use the rpmrebuild command and edit the rpm: - Install rpmrebuild, then edit the rpm:

rpmrebuild -pe tunesviewer-1.4-2.noarch.rpm

this should open the spec file in vi. If you want to use any other text editor run e.g. 'export EDITOR=/usr/bin/kwrite', before running the rpmrebuild command.

  • In the '%files' section remove these lines:

%dir %attr(0755, root, root) "/" %dir %attr(0755, root, root) "/usr" %dir %attr(0755, root, root) "/usr/bin" %dir %attr(0755, root, root) "/usr/share" %dir %attr(0755, root, root) "/usr/share/applications" %dir %attr(0755, root, root) "/usr/share/doc" %dir %attr(0755, root, root) "/usr/share/icons" %dir %attr(0755, root, root) "/usr/share/icons/hicolor" %dir %attr(0755, root, root) "/usr/share/icons/hicolor/scalable" %dir %attr(0755, root, root) "/usr/share/icons/hicolor/scalable/apps"

save and close the editor, and follow the prompts in the terminal.

That should make the rpm installable.

There was/is a similar problem with google-earth - another 3rd party rpm http://forums.fedoraforum.org/showthread.php?p=1650497#post1650497 .

One solution is to use the rpmrebuild command and edit the rpm: - Install rpmrebuild, then edit the rpm:

rpmrebuild -pe tunesviewer-1.4-2.noarch.rpm

this should open the spec file in vi. If you want to use any other text editor run e.g. 'export EDITOR=/usr/bin/kwrite', before running the rpmrebuild command.

  • In the '%files' section remove these lines:

%dir %attr(0755, root, root) "/"
%dir %attr(0755, root, root) "/usr"
%dir %attr(0755, root, root) "/usr/bin"
%dir %attr(0755, root, root) "/usr/share"
%dir %attr(0755, root, root) "/usr/share/applications"
%dir %attr(0755, root, root) "/usr/share/doc"
%dir %attr(0755, root, root) "/usr/share/icons"
%dir %attr(0755, root, root) "/usr/share/icons/hicolor"
%dir %attr(0755, root, root) "/usr/share/icons/hicolor/scalable"
%dir %attr(0755, root, root) "/usr/share/icons/hicolor/scalable/apps"

"/usr/share/icons/hicolor/scalable/apps"

save and close the editor, and follow the prompts in the terminal.

That should make the rpm installable.